API reference · Donors
Get a donor
GET/v1/donors/{donorId}
Retrieve information about a donor.
Requires a Bearer access token.
Parameters
This field has no description in the spec.
donorId#stringin pathrequired
Response
200 · DonorNo field is described in the spec.
donorId#stringalways returnedscopeType#DonorScopeTypealways returnedCAMPAIGNACCOUNTplatformAccessStatus#DonorPlatformAccessStatusalways returnedENABLEDDISABLEDRESTRICTEDfirstName#stringalways returnedlastName#stringalways returnedemail#stringcompanyName#stringphone#stringextraInfo#stringbirthdate#string (date-time)street#stringstreetAddition#stringcity#stringcountry#stringzip#stringexternalId#stringuniqueExternalId#stringslackId#stringpictureUrl#stringtitle#stringpersonalEmail#stringpersona#PersonaCSRMARKETINGHRSALESCOMMUNICATIONPRODUCTSMBOTHERlanguage#LanguagefrenhasAcceptedTerms#booleanalways returnedaccountId#stringalways returnedcampaignId#stringindividualAccountId#stringcreatedAt#string (date-time)always returnedupdatedAt#string (date-time)always returned
Errors
401Unauthorized
Missing, expired or invalid access token.
{ "statusCode": 401, "message": "Unauthorized" }403Account closed
{ "message": "Account closed", "code": "ACCOUNT_CLOSED" }404Not Found
{ "statusCode": 404, "message": "Not Found" }
curl -X GET https://api.sandbox.charitips.com/v1/donors/<donorId> \ -H "Authorization: Bearer $CHARITIPS_TOKEN"Request bodies are written for this docs and checked against the API's validation; ids in angle brackets are placeholders. Response values are placeholders built from the schema.